org.apache.solr.analytics.request

## Class AnalyticsStats

- java.lang.Object
- - org.apache.solr.analytics.request.AnalyticsStats

-     public class AnalyticsStats
      extends Object

  Class which computes the set of `AnalyticsRequest`s.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DocSet` | `docs`
    `protected SolrParams` | `params`
    `protected SolrQueryRequest` | `req`
    `protected SolrIndexSearcher` | `searcher`
    `protected AnalyticsStatisticsCollector` | `statsCollector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyticsStats(SolrQueryRequest req, DocSet docs, SolrParams params, AnalyticsStatisticsCollector statsCollector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedList<?>` | `execute()` Calculates the analytics requested in the Parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### docs

          protected DocSet docs

    - #### params

          protected SolrParams params

    - #### searcher

          protected SolrIndexSearcher searcher

    - #### req

          protected SolrQueryRequest req

    - #### statsCollector

          protected AnalyticsStatisticsCollector statsCollector

  - ### Constructor Detail

    - #### AnalyticsStats

          public AnalyticsStats(SolrQueryRequest req,
                                DocSet docs,
                                SolrParams params,
                                AnalyticsStatisticsCollector statsCollector)

  - ### Method Detail

    - #### execute

          public NamedList<?> execute()
                               throws IOException

      Calculates the analytics requested in the Parameters.
      Returns:
        List of results formated to mirror the input XML.
      Throws:
        `IOException` - if execution fails

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.